// ##########################################################################
// ####                                                                  ####
// ####                      RTP Audio Server Project                    ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Java Audio Client Main                                           ####
// ####    - A graphical Java client for the RTP Audio Server            ####
// #### Version 1.00  --  February 16, 2001                              ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn, Abt. IV                    ####
// ####               2001  EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                                                                  ####
// ##########################################################################


import AudioClientGUI;


/**
  * This class starts an AudioClientGUI.
  *
  * @short   Java Audio Client Main
  * @author  Thomas Dreibholz (Dreibholz@bigfoot.com)
  * @version 1.0
  */
public class AudioClientMain
{
   // ###### Main program ###################################################
   /**
     * Main program.
     */
   public static void main(String[] args) {
      String location = null;
      if(args.length > 0) {
         location = args[0];
      }
      AudioClientGUI jclient = new AudioClientGUI(location,0,true);
      if(location != null)
         jclient.play();
   }
}
