package bonn.infoIV.v3d2.buffer;

import java.util.Arrays;

public class Object3D extends DoubleBufferedObject
{
  public static final int  VERTEX_COUNT   = 0;
  public static final int  TRIANGLE_COUNT = 1;
  public static final int  SPLIT_COUNT    = 2;

  public static final byte BASE_MESH      = 0;
  public static final byte BASE_MESH2     = 1;
  public static final byte BASE_MESH_V    = 0;
  public static final byte BASE_MESH_T    = 1;
  public static final byte VERTEX_SPLITS  = 2;

  public static final int BASE_ENTITY  = 12;
  public static final int SPLIT_ENTITY = 24;

  public static final int BASE_PACKET  = 1020;
  public static final int SPLIT_PACKET = 1008;

  public int Identifier_ = -1;



  public Object3D(int sizes, int arrayCount, int identifier)  // sizes =3, arrayCount = 2
  {
    super(sizes, arrayCount);
    Identifier_ = identifier;
  }

 
  // 24 == *4 for int/float, *6 for each split
  // 12 ==  *4 for i/f, *3 for 3 numb per vertex/triangle
  public void setMaxInfo(int[] maxValues)
  {
    MaxValues_[0] = maxValues[0];
    MaxValues_[1] = maxValues[1];
    MaxValues_[2] = maxValues[2];
    MaxValues_[3] = maxValues[3];
    MaxValues_[4] = maxValues[4];
    for(int i=0 ; i<(Writable_.length/2) ; i++)
    {
      Arrays_[i] = new byte[(MaxValues_[2]+MaxValues_[3])*BASE_ENTITY];
    }
    for(int i=(Writable_.length/2) ; i<Writable_.length ; i++)
    {
      Arrays_[i] = new byte[MaxValues_[4]*SPLIT_ENTITY];
    }
  }




}

