// ##########################################################################
// ####                                                                  ####
// ####                      RTP Audio Server Project                    ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### FlowLabel Beispiel: Server                                       ####
// ####                                                                  ####
// #### Version 1.00  --  May 18, 2000                                   ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn, Abt. IV                    ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://titan.cs.uni-bonn.de/~dreibhol ####
// ####                                                                  ####
// ##########################################################################


#include <netdb.h>
#include <linux/in6.h>
#include <iostream.h>
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>


#define SOL_IPV6 41


int main()
{
    hostent* hostInfo = gethostbyname2("3ffe:815:4711::111",AF_INET6);
    if(hostInfo == NULL) exit(1);

    // ====== Socket erstellen ==============================================
    sockaddr_in6 adr;
    adr.sin6_port     = htons(7466);
    adr.sin6_family   = AF_INET6;
    adr.sin6_flowinfo = 0;
    memcpy((void*)&adr.sin6_addr,(void*)hostInfo->h_addr_list[0],hostInfo->h_length);
    int sd = socket(AF_INET6,SOCK_DGRAM,0);
    if(sd != -1) {
    
       // ====== Socket binden ==============================================
       if(bind(sd,(sockaddr*)&adr,sizeof(sockaddr_in6)) == -1) {
          puts("FEHLER: Kann Socket nicht an Adresse binden!");
          exit(1);
       }

       // ====== Von Client lesen ===========================================
       cout << "Warte auf Nachricht vom Client..." << endl;
       char str[64];
       int i = read(sd,(void*)&str,15);
       str[12] = 0x00;
       cout << "Nachricht vom Client: " << str << endl;
       cout << "Ich habe fertig!" << endl;
   }
   else {
      puts("FEHLER: Socket kann nicht erstellt werden!");
      exit(0);
   }                     
                          
   return(0);
}
