#!/bin/bash
# ##########################################################################
# ####                                                                  ####
# ####                      RTP Audio Server Project                    ####
# ####                    ============================                  ####
# ####                                                                  ####
# #### Backup Script                                                    ####
# ####                                                                  ####
# #### Version 1.00, April 30, 2000                                     ####
# ####                                                                  ####
# #### Copyright (C) 1999  Thomas Dreibholz                             ####
# ####               2000  Universitt Bonn, Abt. IV                    ####
# ####                     EMail: Dreibholz@bigfoot.com                 ####
# ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
# ####                                                                  ####
# ##########################################################################


if [ ! $# -gt 0 ]
then
   echo "Usage: TarBackup.sh [Tar-File]"
   exit
fi


make clean
tar --no-recursion -c -p -z -v -f $1 ./* Java/* FlowLabel/* Ablage/* QoS/* ResvMod/* Konzept/* bak1/rtpaudio/* bak1/rtpaudio/Java/* bak1/rtpaudio/FlowLabel/* Documentation/* JavaDocumentation/*
# tar --no-recursion -c -p -z -v -f $1.bak ./* Java/* FlowLabel/* Ablage/* QoS/* ResvMod/*


echo ""
echo "Backup to $1 completed!"
echo ""
