package mpi_graphics;

import java.io.*;

public class Global{
    public static final double EPSILON_0 = 0.000001;

// ************************************************************************************
// get_percent
// ************************************************************************************
    public static int get_percent(int value_act, int value_max)
    {
	int percent;
	
	percent=(int)((double)(value_act+1)/(double)value_max*100.0+0.5);
	
	if (percent<0)
	    percent=0;
	else
	if (percent>100)
	    percent=100;
	
	return(percent);
    }

// ************************************************************************************
// test_if_contained
// ************************************************************************************
    public static boolean test_if_contained(int test_number, int[] v_array)
    {
	if (test_number==v_array[0])
	    return(true);
	
	if (test_number==v_array[1])
	    return(true);
	
	if (test_number==v_array[2])
	    return(true);
	
	return(false);
    }

// ************************************************************************************
// transform_hex_string_to_int
// ************************************************************************************
	public static int transform_hex_string_to_int(String st)
	{
	int hex_pow=1;
	int hex_value;
	int length;
	int i;
	int ret_value=0;

	length=st.length();
	for (i=length-1;i>=0;i--)
		{
		hex_value=Character.getNumericValue(st.charAt(i));
		if (hex_value<0 || hex_value >15)
			Error_Occured("Kein gueltiger Hexadezimal-Code");

		ret_value=ret_value+hex_value*hex_pow;
		hex_pow=hex_pow*16;
		}

	return ret_value;
	}

// ************************************************************************************
// Error_Occured
// ************************************************************************************
    public static void Error_Occured(String message_got)
    {
	System.err.println(message_got);
	System.exit(1);
    }
}
