#include "system.h"
#include "internetaddress.h"
#include "socket.h"


int main()
{
// #### Version 1.00  --  June 22, 2000                                  ####

   SocketAddress a1((char *)name1);
   cout << "A1 = " << a1 << endl;

   Socket sock(Socket::IP,Socket::UDP);
   if(sock.bind() == true) {
      puts("bind ok!");

      FlowInfo* fl1 = sock.allocFlow(&a1);
      if(fl1 == NULL) {
         puts("NO FLOW!");
         exit(1);
      }

      if(sock.connect(fl1,0,0x12) == false) {
         puts("CONNECT ERROR");
      }

/*
       sockaddr_in6 adr; 
       sockaddr_in6* socketAddress = &adr;
       int32 l = a1.getSystemSocketAddress((sockaddr**)&socketAddress);
       if(l != sizeof(sockaddr_in6)) {
          printf("error = %d\n",l);
          exit(1);
       }

      // ====== Reserve flow label ==========================================
      struct in6_flowlabel_req req;
      memcpy((void*)&req.flr_dst,(void*)&socketAddress->sin6_addr,16);             
      req.flr_label   = 0;
      req.flr_action  = IPV6_FL_A_GET;
      req.flr_share   = IPV6_FL_S_PROCESS;
      req.flr_flags   = IPV6_FL_F_CREATE;
      req.flr_expires = 10;
      req.flr_linger  = 6;
      req.__flr_pad   = 0;
      int32 result = sock.setSocketOption(SOL_IPV6,
                                          IPV6_FLOWLABEL_MGR,&req,
                                          sizeof(in6_flowlabel_req));
      if(result != 0) {
         cerr << "WARNING: Socket::connectFlow() - Unable to get flow label!" << endl;
         return(0);
      }

      // ====== Set socket to use flow label ================================      
      int opt = 1;
      result = sock.setSocketOption(SOL_IPV6,IPV6_FLOWINFO_SEND,&opt,4);
      if(result != 0) {
         cerr << "WARNING: Socket::connectFlow() - Unable to set FLOWINFO_SEND!" << endl;
         return(0);
      }   

      card32 FlowLabel = htonl(req.flr_label);
*/
/*
      {
      struct in6_flowlabel_req req;
      memcpy((void*)&req.flr_dst,(void*)&socketAddress->sin6_addr,16);             
      req.flr_label   = ntohl(FlowLabel);
      req.flr_action  = IPV6_FL_A_PUT;
      req.flr_share   = IPV6_FL_S_PROCESS;
      req.flr_flags   = 0;
      req.flr_expires = 0;
      req.flr_linger  = 0;
      req.__flr_pad   = 0;
      int32 result = sock.setSocketOption(SOL_IPV6,
                                          IPV6_FLOWLABEL_MGR,&req,
                                          sizeof(in6_flowlabel_req));
      if(result != 0) {
         cerr << "FL_PUT Fehler!" << endl;
         return(0);
      }
      }
*/
/*
//      card32 FlowLabel = sock.getFlowLabel();

      int32 i,j,k;
       
      sockaddr_in6 addr1;
      addr1.sin6_family = AF_INET6;
      addr1.sin6_addr.s6_addr32[0] = 0;
      addr1.sin6_addr.s6_addr32[0] = 0;
      addr1.sin6_addr.s6_addr32[0] = 0;
      addr1.sin6_addr.s6_addr32[0] = 0;
      addr1.sin6_flowinfo = ntohl(FlowLabel);
      addr1.sin6_port = htons(7500);

      sockaddr_in6 addr2;
      addr2.sin6_family = AF_INET6;
      addr2.sin6_addr.s6_addr32[0] = 0;
      addr2.sin6_addr.s6_addr32[0] = 0;
      addr2.sin6_addr.s6_addr32[0] = 0;
      addr2.sin6_addr.s6_addr32[0] = 0;
      addr2.sin6_flowinfo = ntohl(FlowLabel | 0x7500000);
      addr2.sin6_port = htons(7500);

      l = sizeof(sockaddr_in6);       
      i = sendto(sock.SocketDescriptor,"Test",4,0x0000,(sockaddr*)&addr1,l);
      j = sendto(sock.SocketDescriptor,"Test",4,0x0000,(sockaddr*)&addr2,l);
      k = send(sock.SocketDescriptor,"Test",4,0x0000);
      perror("error: ");
      printf("%d <-> %d <-> %d\n",i,j,k);
*/


      int32 p = sock.send("Test",4,0,0xee);
      int32 q = sock.send("Test",4,0,0xff);
      int32 r = sock.send("Test",4,0,0x33);
      int32 s = sock.send("Test",4,0,0);
      printf("%d  %d  %d  %d\n",p,q,r,s);
   }
}
